Bug 115803 - [PATCH] archivers/paq: update to 8.o2
Summary: [PATCH] archivers/paq: update to 8.o2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-25 08:40 UTC by bf
Modified: 2007-08-28 02:39 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-08-25 08:40:00 UTC
Introduce new version with improved .bmp compression; reinstate SSE-specific code for i386; add warning about incompatibility of different paq versions.




diff -ru paq.orig/Makefile paq/Makefile
--- paq.orig/Makefile	Thu Aug 23 10:54:21 2007
+++ paq/Makefile	Sat Aug 25 02:58:32 2007
@@ -2,14 +2,14 @@
 # Date created:                5 April 2007
 # Whom:                        bf <bf2006a@yahoo.com>
 #
-# $FreeBSD: ports/archivers/paq/Makefile,v 1.4 2007/08/23 14:54:21 rafan Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	paq
-PORTVERSION=	8.n
+PORTVERSION=	8.o2
 CATEGORIES=	archivers
 MASTER_SITES=	http://www.cs.fit.edu/~mmahoney/compression/
-DISTNAME=	paq8n
+DISTNAME=	paq8o2
 
 MAINTAINER=	bf2006a@yahoo.com
 COMMENT=	An archiver with an extremely high compression ratio
@@ -17,7 +17,8 @@
 NO_WRKSUBDIR=	yes
 USE_ZIP=	yes
 SUB_FILES=	pkg-message
-PLIST_SUB=	DISTNAME=${DISTNAME}
+CPPFILE=	paq8o
+PLIST_SUB=	CPPFILE=${CPPFILE}
 
 .include <bsd.port.pre.mk>
 
@@ -26,7 +27,11 @@
 CXXFLAGS+=	-DUNIX -O3
 ASM1?=	nasm -f elf -o
 ASM2?=
+.if !defined(WITH_SSE)
 ASMFILE=	paq7asm
+.else
+ASMFILE=	paq7asmsse
+.endif
 STRIP=
 .elif !defined(WITHOUT_ASM) && ${ARCH} == "amd64" && !defined(PACKAGE_BUILDING)
 BUILD_DEPENDS=	yasm:${PORTSDIR}/devel/yasm
@@ -37,7 +42,7 @@
 STRIP=
 .else
 WITHOUT_ASM=	yes
-CXXFLAGS+=	-DUNIX -DNOASM -O3
+CXXFLAGS+=-DUNIX -DNOASM -O3
 .endif
 
 pre-everything::
@@ -48,25 +53,29 @@
 	@${ECHO_MSG} "enabled by default on x86 and amd64 architectures, hit Ctrl-C"
 	@${ECHO_MSG} "now and use \"make WITHOUT_ASM=yes\"."
 	@${ECHO_MSG}
+	@${ECHO_MSG} "If you wish to use the version of the assembly code that is"
+	@${ECHO_MSG} "optimized for x86 (not amd64) processors with SSE instruction"
+	@${ECHO_MSG} "support, hit Ctrl-C now and use \"make WITH_SSE=yes\"."
+	@${ECHO_MSG}
 
 do-build:
 .if !defined(WITHOUT_ASM)
 	${ASM1} ${WRKSRC}/${ASMFILE}.o ${ASM2} ${WRKSRC}/${ASMFILE}.asm
-	${CXX} ${WRKSRC}/${DISTNAME}.cpp ${CXXFLAGS} -o ${WRKSRC}/${DISTNAME} ${WRKSRC}/${ASMFILE}.o
+	${CXX} ${WRKSRC}/${CPPFILE}.cpp ${CXXFLAGS} -o ${WRKSRC}/${CPPFILE} ${WRKSRC}/${ASMFILE}.o
 .else
-	${CXX} ${WRKSRC}/${DISTNAME}.cpp ${CXXFLAGS} -o ${WRKSRC}/${DISTNAME}
+	${CXX} ${WRKSRC}/${CPPFILE}.cpp ${CXXFLAGS} -o ${WRKSRC}/${CPPFILE}
 .endif
 
 do-install:
 .if !exists(${PREFIX}/bin)
 	${MKDIR} ${PREFIX}/bin
 .endif
-	${INSTALL_PROGRAM} ${WRKSRC}/${DISTNAME} ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${CPPFILE} ${PREFIX}/bin
 .if !defined(NOPORTDOCS)
 .if !exists(${DOCSDIR})
 	${MKDIR} ${DOCSDIR}
 .endif
-	${INSTALL_MAN} ${WRKSRC}/${DISTNAME}.cpp ${DOCSDIR}
+	${INSTALL_MAN} ${WRKSRC}/${CPPFILE}.cpp ${DOCSDIR}
 	${INSTALL_MAN} ${WRKSRC}/readme.txt ${DOCSDIR}
 .endif
 	${CAT} ${PKGMESSAGE}
diff -ru paq.orig/distinfo paq/distinfo
--- paq.orig/distinfo	Thu Aug 23 08:35:53 2007
+++ paq/distinfo	Sat Aug 25 02:58:32 2007
@@ -1,3 +1,3 @@
-MD5 (paq8n.zip) = a05c932155d6b67a3e95fb1a46693d6d
-SHA256 (paq8n.zip) = d90964ac9c3f539e433883845cbdc511ee13f6e920e64ccd0d369d1ddab0a5bc
-SIZE (paq8n.zip) = 85065
+MD5 (paq8o2.zip) = dc976099dfe87d0307218b631cb02924
+SHA256 (paq8o2.zip) = cbf90fa395f6caa346838dd60ede92c57db309616311bf54875bfb6f8490ef3d
+SIZE (paq8o2.zip) = 150288
diff -ru paq.orig/pkg-descr paq/pkg-descr
--- paq.orig/pkg-descr	Thu Aug 23 08:35:53 2007
+++ paq/pkg-descr	Sat Aug 25 02:58:32 2007
@@ -15,6 +15,8 @@
 archive or to extract part of an archive.  Files and archives larger than
 2GB are not supported (but might work on 64-bit machines, not tested).
 File names with nonprintable characters are not supported (spaces
-are OK).
+are OK). Note that different versions of paq are usually incompatible, so
+steps must be taken to ensure that the contents of archives made with older 
+versions of paq will still be accessible after updating paq.
 
 WWW: http://www.cs.fit.edu/~mmahoney/compression/
diff -ru paq.orig/pkg-plist paq/pkg-plist
--- paq.orig/pkg-plist	Thu Aug 23 08:35:53 2007
+++ paq/pkg-plist	Sat Aug 25 02:58:32 2007
@@ -1,4 +1,4 @@
-bin/%%DISTNAME%%
-%%PORTDOCS%%%%DOCSDIR%%/%%DISTNAME%%.cpp
+bin/%%CPPFILE%%
+%%PORTDOCS%%%%DOCSDIR%%/%%CPPFILE%%.cpp
 %%PORTDOCS%%%%DOCSDIR%%/readme.txt
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
Comment 1 dfilter service freebsd_committer 2007-08-28 01:42:58 UTC
okazaki     2007-08-28 00:42:53 UTC

  FreeBSD ports repository

  Modified files:
    archivers/paq        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 8.o2.
  
  PR:             115803
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.5       +17 -8     ports/archivers/paq/Makefile
  1.4       +3 -3      ports/archivers/paq/distinfo
  1.2       +3 -1      ports/archivers/paq/pkg-descr
  1.3       +2 -2      ports/archivers/paq/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Tetsurou Okazaki freebsd_committer 2007-08-28 02:38:29 UTC
State Changed
From-To: open->closed

Committed, thanks!